package com.maintain.business.service;

import com.maintain.business.domain.ErpVehicleModel;
import com.maintain.business.domain.vo.ErpVehicleModelVo;
import com.maintain.business.domain.bo.ErpVehicleModelBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 客户信息-车型Service接口
 *
 * @author liushuai
 * @date 2025-03-25
 */
public interface IErpVehicleModelService {

    /**
     * 查询客户信息-车型
     */
    ErpVehicleModelVo queryById(Long id);

    /**
     * 查询客户信息-车型列表
     */
    TableDataInfo<ErpVehicleModelVo> queryPageList(ErpVehicleModelBo bo, PageQuery pageQuery);

    /**
     * 查询客户信息-车型列表
     */
    List<ErpVehicleModelVo> queryList(ErpVehicleModelBo bo);

    /**
     * 新增客户信息-车型
     */
    Boolean insertByBo(ErpVehicleModelBo bo);

    /**
     * 修改客户信息-车型
     */
    Boolean updateByBo(ErpVehicleModelBo bo);

    /**
     * 校验并批量删除客户信息-车型信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
